    public static partial class UniqueExtensions
    {
        public static Boolean IsOdd(this BigInteger bigInteger)
        {
            return bigInteger % 2 != 0;
        }
        public static Boolean IsOdd(this int i)
        {
            return i % 2 != 0;
        }
        public static Double ToDouble(this BigInteger bigInteger)
        {
            return Convert.ToDouble(bigInteger.ToString());
        }
        public static BigInteger TB(this Double d)
        {
            return BigInteger.Parse(d.ToString());
        }
        public static Double TD(this BigInteger bigInteger)
        {
            return bigInteger.ToDouble();
        }
        public static Boolean IsEven(this int i)
        {
            return i % 2 == 0;
        }
    }










